Bug 44762 - FORMATTING, PIVOTTABLE: naming of styles and request for more styles
Summary: FORMATTING, PIVOTTABLE: naming of styles and request for more styles
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Pivot-Table
  Show dependency treegraph
 
Reported: 2012-01-13 13:07 UTC by famo
Modified: 2016-10-21 11:02 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description famo 2012-01-13 13:07:17 UTC
The styles supplied with the Pivot Table / DataPilot are misleading and not sufficient for a proper styling of the DataPilot.

The styles names are very different from the actual part name in the DataPilot, hence it is not clear and even misleading to which part they apply (see table below).

The supplied styles are to few for a proper styling:
- There is only one style for row, column and sub-totals. In general totals are expressed stronger than subtotals - currently this is not possible.
- Row and column headings have the same style, so it is not possible for example to center column headings and align right row headings. 

Current situation:
     Name in DataPilot Layout     |     Actual applied Style
----------------------------------------------------------------
Row Fields _______________________|_ Pivot Table Category
Coulmn Fields ____________________|_ Pivot Table Category
[Cells with drop down menu] ______|_ Pivot Table Fields
Data Fields ______________________|_ Pivot Table Value
Total Columns ____________________|_ Pivot Table Result
Total Rows _______________________|_ Pivot Table Result
[Subtotals] ______________________|_ Pivot Table Result
[Heading of totals] ______________|_ Pivot Table Title
[Description in upper left corner]|_ Pivot Table Corner



Because of these above mentioned shortcoming, I would like to propose a more precise naming of the styles and a greater division of styles:
     Name in DataPilot Layout     |     Actual applied Style
----------------------------------------------------------------
Row Fields _______________________|_ Pivot Table Row Category
Coulmn Fields ____________________|_ Pivot Table Column Category
[Cells with drop down menu] ______|_ Pivot Table Row Field, Pivot Table Column Field
Data Fields ______________________|_ Pivot Table *Data*
Total Columns ____________________|_ Pivot Table Column Result
Total Rows _______________________|_ Pivot Table Row Result
[Subtotals of row/col fields] ____|_ Pivot Table Sub-Result
[Heading of totals] ______________|_ Pivot Table Row Result Title, Pivot Table Column Result Title, Pivot Table Sub-Result Title
[Description in upper left corner]|_ Pivot Table Corner


Hierarchical overview of the new styles:
|-Pivot Table Category
  -Pivot Table Row Category
  -Pivot Table Column Category
|-Pivot Table Corner
|-Pivot Table Data
|-Pivot Table Field
  -Pivot Table Row Field
  -Pivot Table Column Field
|-Pivot Table Result
  -Pivot Table Row Result
  -Pivot Table Column Result
  -Pivot Table Sub-Result
|-Pivot Table Result Title
  -Pivot Table Row Result Title
  -Pivot Table Column Result Title
  -Pivot Table Sub-Result Title
Comment 1 famo 2012-01-13 14:06:32 UTC
See also bug 44763 (DataPilot styles are not localized / translated)
Comment 2 Kohei Yoshida 2013-01-08 15:55:36 UTC
Actually I would LOVE to get rid of these pivot table styles.  They cause so many issues on many fronts.  I'd like to use some sort of pre-defined table formatting that can be applied per table instead.
Comment 3 famo 2013-01-10 11:21:58 UTC
Well, I'm passionless on how exactly this is achieved. Styles per pivot-table, sound very good to me.

However if you write pre-defined, do you mean pre-defined by LO with no user interaction whatsoever? This, i.e. a loss of functionality, would be an absolute no-go for me.


On the other hand, if you allow user-defined settings and do not use styles, you would need a whole new settings-setup (GUI) for this(?). IMHO an advantage of styles is, that there is already an established GUI.

... or you need to explain your idea further ... :-)
Comment 4 Gerry 2014-04-17 08:49:06 UTC
I add bug 34391 to "see also". That bug deals with table styles in Writer. As it seems, the current implementation of Table/Format -> AutoFormat is the same in Writer and Calc. Therefore, probably also the solution is the same in both office components.
Comment 5 Gerry 2014-04-17 10:38:53 UTC
I add enhancement request / bug 77569 as "see also". Calc actually provides table styles alias "Choose themes". That other bug is a request to make this feature better accessible for users.